local thisObj
function OnScriptLoaded(level, obj)
  thisObj = obj
  game.SubObject.Sleep(obj)
  game.SubObject.SetForgetOnCheckpoint(obj)
end
function OnFirstStart(level, obj)
  thisObj:PlayAnimationToFrame(1, {
    Animation = "DrainCrystalHolder_Animation"
  })
end
function Drop()
  thisObj:PlayAnimationToEnd()
end
